<?php



$tdataadmintesas = array();
$tdataadmintesas[".searchableFields"] = array();
$tdataadmintesas[".ShortName"] = "admintesas";
$tdataadmintesas[".OwnerID"] = "";
$tdataadmintesas[".OriginalTable"] = "tesas";


$defaultPages = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"list\":\"list\",\"search\":\"search\",\"view\":\"view\"}" );

$tdataadmintesas[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"list\":[\"list\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdataadmintesas[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"list\":[\"list\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdataadmintesas[".defaultPages"] = $defaultPages;

//	field labels
$fieldLabelsadmintesas = array();
$fieldToolTipsadmintesas = array();
$pageTitlesadmintesas = array();
$placeHoldersadmintesas = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelsadmintesas["English"] = array();
	$fieldToolTipsadmintesas["English"] = array();
	$placeHoldersadmintesas["English"] = array();
	$pageTitlesadmintesas["English"] = array();
	$fieldLabelsadmintesas["English"]["Tesas"] = "Tesas";
	$fieldToolTipsadmintesas["English"]["Tesas"] = "";
	$placeHoldersadmintesas["English"]["Tesas"] = "";
	$pageTitlesadmintesas["English"]["add"] = "TESAS Administrator";
	$pageTitlesadmintesas["English"]["edit"] = "TESAS Administrator - Edit [{%Tesas}]";
	$pageTitlesadmintesas["English"]["view"] = "TESAS Admin - View [{%Tesas}]";
	if (count($fieldToolTipsadmintesas["English"]))
		$tdataadmintesas[".isUseToolTips"] = true;
}


	$tdataadmintesas[".NCSearch"] = true;



$tdataadmintesas[".shortTableName"] = "admintesas";
$tdataadmintesas[".nSecOptions"] = 0;

$tdataadmintesas[".mainTableOwnerID"] = "";
$tdataadmintesas[".entityType"] = 1;

$tdataadmintesas[".strOriginalTableName"] = "tesas";

	



$tdataadmintesas[".showAddInPopup"] = false;

$tdataadmintesas[".showEditInPopup"] = false;

$tdataadmintesas[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdataadmintesas[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdataadmintesas[".listAjax"] = false;
//	temporary
$tdataadmintesas[".listAjax"] = false;

	$tdataadmintesas[".audit"] = false;

	$tdataadmintesas[".locking"] = false;


$pages = $tdataadmintesas[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdataadmintesas[".edit"] = true;
	$tdataadmintesas[".afterEditAction"] = 1;
	$tdataadmintesas[".closePopupAfterEdit"] = 0;
	$tdataadmintesas[".afterEditActionDetTable"] = "Detail tables not found!";
}

if( $pages[PAGE_ADD] ) {
$tdataadmintesas[".add"] = true;
$tdataadmintesas[".afterAddAction"] = 1;
$tdataadmintesas[".closePopupAfterAdd"] = 0;
$tdataadmintesas[".afterAddActionDetTable"] = "Detail tables not found!";
}

if( $pages[PAGE_LIST] ) {
	$tdataadmintesas[".list"] = true;
}

$tdataadmintesas[".updateSelected"] = true;


$tdataadmintesas[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdataadmintesas[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdataadmintesas[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdataadmintesas[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdataadmintesas[".printFriendly"] = true;
}



$tdataadmintesas[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdataadmintesas[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdataadmintesas[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdataadmintesas[".isUseAjaxSuggest"] = true;

$tdataadmintesas[".rowHighlite"] = true;



						

$tdataadmintesas[".ajaxCodeSnippetAdded"] = false;

$tdataadmintesas[".buttonsAdded"] = false;

$tdataadmintesas[".addPageEvents"] = false;

// use timepicker for search panel
$tdataadmintesas[".isUseTimeForSearch"] = false;


$tdataadmintesas[".badgeColor"] = "DC143C";


$tdataadmintesas[".allSearchFields"] = array();
$tdataadmintesas[".filterFields"] = array();
$tdataadmintesas[".requiredSearchFields"] = array();

$tdataadmintesas[".googleLikeFields"] = array();
$tdataadmintesas[".googleLikeFields"][] = "Tesas";



$tdataadmintesas[".tableType"] = "list";

$tdataadmintesas[".printerPageOrientation"] = 0;
$tdataadmintesas[".nPrinterPageScale"] = 100;

$tdataadmintesas[".nPrinterSplitRecords"] = 40;

$tdataadmintesas[".geocodingEnabled"] = false;










$tdataadmintesas[".pageSize"] = 20;

$tdataadmintesas[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdataadmintesas[".strOrderBy"] = $tstrOrderBy;

$tdataadmintesas[".orderindexes"] = array();

$tdataadmintesas[".sqlHead"] = "SELECT Tesas";
$tdataadmintesas[".sqlFrom"] = "FROM tesas";
$tdataadmintesas[".sqlWhereExpr"] = "";
$tdataadmintesas[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdataadmintesas[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdataadmintesas[".arrGroupsPerPage"] = $arrGPP;

$tdataadmintesas[".highlightSearchResults"] = true;

$tableKeysadmintesas = array();
$tableKeysadmintesas[] = "Tesas";
$tdataadmintesas[".Keys"] = $tableKeysadmintesas;


$tdataadmintesas[".hideMobileList"] = array();




//	Tesas
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "Tesas";
	$fdata["GoodName"] = "Tesas";
	$fdata["ownerTable"] = "tesas";
	$fdata["Label"] = GetFieldLabel("admintesas","Tesas");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "Tesas";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Tesas";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataadmintesas["Tesas"] = $fdata;
		$tdataadmintesas[".searchableFields"][] = "Tesas";


$tables_data["admintesas"]=&$tdataadmintesas;
$field_labels["admintesas"] = &$fieldLabelsadmintesas;
$fieldToolTips["admintesas"] = &$fieldToolTipsadmintesas;
$placeHolders["admintesas"] = &$placeHoldersadmintesas;
$page_titles["admintesas"] = &$pageTitlesadmintesas;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["admintesas"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["admintesas"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//


require_once(getabspath("classes/sql.php"));










function createSqlQuery_admintesas()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "Tesas";
$proto0["m_strFrom"] = "FROM tesas";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "Tesas",
	"m_strTable" => "tesas",
	"m_srcTableName" => "admintesas"
));

$proto6["m_sql"] = "Tesas";
$proto6["m_srcTableName"] = "admintesas";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto8=array();
$proto8["m_link"] = "SQLL_MAIN";
			$proto9=array();
$proto9["m_strName"] = "tesas";
$proto9["m_srcTableName"] = "admintesas";
$proto9["m_columns"] = array();
$proto9["m_columns"][] = "Tesas";
$obj = new SQLTable($proto9);

$proto8["m_table"] = $obj;
$proto8["m_sql"] = "tesas";
$proto8["m_alias"] = "";
$proto8["m_srcTableName"] = "admintesas";
$proto10=array();
$proto10["m_sql"] = "";
$proto10["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto10["m_column"]=$obj;
$proto10["m_contained"] = array();
$proto10["m_strCase"] = "";
$proto10["m_havingmode"] = false;
$proto10["m_inBrackets"] = false;
$proto10["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto10);

$proto8["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto8);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="admintesas";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_admintesas = createSqlQuery_admintesas();


	
		;

	

$tdataadmintesas[".sqlquery"] = $queryData_admintesas;

$tableEvents["admintesas"] = new eventsBase;
$tdataadmintesas[".hasEvents"] = false;

?>